#include <stdio.h>

main() {
	int vetor[10], x, i, maiorDist, crescente, decrescente, contMaior, contMenor, contIgual, dist, pos;
	
	// Lê o vetor e o número x.
	printf("Informe os 10 números do vetor: ");
	for (i = 0; i < 10; i++) scanf("%d", &vetor[i]);
	printf("Informe o valor de X: ");
	scanf("%d", &x);
	
	// Assume que a maior distância está entre os dois primeiros elementos.
	maiorDist = vetor[1] - vetor[0];
	if (maiorDist < 0) maiorDist *= -1;
	pos = 1;
	
	// Assume que o vetor está em ordem crescente e decrescente.
	crescente = decrescente = 1;
	
	// Zera os contadores de maior, menor e iguais a X.
	contMaior = contMenor = contIgual = 0;
	
	// Passa pelo vetor, verificando as questões (c), (d), e (e) do enunciado.
	// Trata o primeiro elemento separadamente (somente item (e)).
	if (vetor[0] > x) contMaior++;
	else if (vetor[0] < x) contMenor++;
	else contIgual++;
	
	// Passa pelos demais elementos do vetor, comparando com o anterior.
	for (i = 1; i < 9; i++) {
		// Verifica se a distância é maior do que a maior já registrada.
		dist = vetor[i] - vetor[i - 1];
		if (dist < 0) dist *= -1;
		if (dist > maiorDist) {
			maiorDist = dist;
			pos = i;
		}
		
		// Verifica se o vetor não é estritamente crescente.
		if (vetor[i] <= vetor[i - 1]) crescente = 0;
		
		// Verifica se o vetor não é estritamente decrescente.
		if (vetor[i] >= vetor[i - 1]) decrescente = 0;
		
		// Verifica se é maior, igual ou menor que x, aumentando o contador apropriado.
		if (vetor[i] > x) contMaior++;
		else if (vetor[i] < x) contMenor++;
		else contIgual++;
	}
	
	// Imprime os resultados.
	printf("(c) Par de posições com a maior distância: vetor[%d] = %d e vetor[%d] = %d (dist = %d).\n", pos - 1, vetor[pos - 1], pos, vetor[pos], maiorDist);
	if (crescente) printf("(d) O vetor está em ordem crescente.\n");
	else if (decrescente) printf("(d) O vetor está em ordem decrescente.\n");
	else printf("(d) O vetor está desordenado.\n");
	printf("(e) Existem %d elementos maiores que X, %d iguais e %d menores.\n", contMaior, contIgual, contMenor);
}
