#include <stdio.h>
#include <stdlib.h>

/* Função principal. */
main() {
	int n, i, pa;
	float *vetor, razao;
	
	// Lê o número de elementos do vetor.
	printf("Informe o número de elementos do vetor: ");
	scanf("%d", &n);
	
	// N deve ser maior que 1.
	if (n <= 1) {
		printf("O número de elementos deve ser maior que 1.\n");
		return;
	}
	
	// Aloca memória para o vetor e lê os seus elementos.
	vetor = (float *)malloc(n * sizeof(float));
	printf("Informe os %d elementos do vetor: ", n);
	for (i = 0; i < n; i++) scanf("%f", &vetor[i]);
	
	// Assume que o vetor forma uma PA.
	pa = 1;
	razao = vetor[1] - vetor[0];
	
	// Tenta provar que o vetor não forma uma PA, verificando todas as razões.
	for (i = 1; pa && i < n; i++)
		if (vetor[i] - vetor[i - 1] != razao) pa = 0;
	
	// Imprime o resultado.
	if (pa) printf("O vetor forma uma PA com termo inicial %.2f e razão %.2f.\n", vetor[0], razao);
	else printf("O vetor não forma uma PA.\n");
}
