#include <stdio.h>
#include <stdlib.h>

/* Função principal. */
main() {
	int i, n, j, k;
	float *vetorA, *vetorB, *vetorR;
	
	// Lê o número de elementos dos vetores.
	printf("Informe o número de elementos dos vetores: ");
	scanf("%d", &n);
	
	// Aloca memória para os vetores e lê os seus elementos.
	vetorA = (float *)malloc(n * sizeof(float));
	printf("Informe os %d elementos do vetor A, em ordem crescente: ", n);
	for (i = 0; i < n; i++) scanf("%f", &vetorA[i]);
	vetorB = (float *)malloc(n * sizeof(float));
	printf("Informe os %d elementos do vetor B, em ordem crescente: ", n);
	for (i = 0; i < n; i++) scanf("%f", &vetorB[i]);
	
	// Aloca memória para o vetor resultante, o dobro do tamanho dos outros vetores.
	vetorR = (float *)malloc(2 * n * sizeof(float));
	
	// Armazena no vetor resultante os elementos de A e B, mantendo a ordem.
	// Usa j como índice de A e k como índice de B.
	for (i = 0, j = 0, k = 0; i < 2 * n; i++) {
		// Se o vetor B já acabou ou o vetor A tem o menor elemento, adiciona o elemento de A.
		if ((j < n) && ((k >= n) || (vetorA[j] < vetorB[k]))) vetorR[i] = vetorA[j++];
		
		// Do contrário, adiciona o elemento do vetor B.
		else vetorR[i] = vetorB[k++];
	}
	
	// Imprime o vetor resultante.
	printf("Vetor resultante: ");
	for (i = 0; i < 2 * n; i++) printf("%.1f; ", vetorR[i]);
	printf("\n");
}
